Bug 1032907 - [abrt] evolution-data-server-3.8.5-6.fc19: ____strtol_l_internal: Process /usr/libexec/evolution-calendar-factory was killed by signal 11 (SIGSEGV)
[abrt] evolution-data-server-3.8.5-6.fc19: ____strtol_l_internal: Process /us...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:520c853b57c4737fd2c923929b0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-21 03:49 EST by Philippe Gaunet
Modified: 2013-11-22 05:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-22 05:32:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (72.90 KB, text/plain)
2013-11-21 03:49 EST, Philippe Gaunet
no flags Details
File: cgroup (142 bytes, text/plain)
2013-11-21 03:49 EST, Philippe Gaunet
no flags Details
File: core_backtrace (40.83 KB, text/plain)
2013-11-21 03:49 EST, Philippe Gaunet
no flags Details
File: dso_list (24.92 KB, text/plain)
2013-11-21 03:49 EST, Philippe Gaunet
no flags Details
File: environ (975 bytes, text/plain)
2013-11-21 03:50 EST, Philippe Gaunet
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-21 03:50 EST, Philippe Gaunet
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-21 03:50 EST, Philippe Gaunet
no flags Details
File: maps (114.90 KB, text/plain)
2013-11-21 03:50 EST, Philippe Gaunet
no flags Details
File: open_fds (1.33 KB, text/plain)
2013-11-21 03:50 EST, Philippe Gaunet
no flags Details
File: proc_pid_status (986 bytes, text/plain)
2013-11-21 03:50 EST, Philippe Gaunet
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 664174 None None None Never

  None (edit)
Description Philippe Gaunet 2013-11-21 03:49:29 EST
Version-Release number of selected component:
evolution-data-server-3.8.5-6.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-calendar-factory
crash_function: ____strtol_l_internal
executable:     /usr/libexec/evolution-calendar-factory
kernel:         3.11.8-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            79560
var_log_messages: Nov 19 10:18:56 auxi0192w abrt-hook-ccpp[24057]: Saved core dump of pid 23739 (/usr/libexec/evolution-calendar-factory) to /var/tmp/abrt/ccpp-2013-11-19-10:18:55-23739 (194367488 bytes)

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 ____strtol_l_internal at ../stdlib/strtol_l.c:298
 #1 strtol at ../stdlib/strtol.c:109
 #2 atoi at /usr/include/stdlib.h:280
 #3 add_item_to_cache at e-cal-backend-ews.c:3367
 #4 ews_cal_sync_get_items_sync at e-cal-backend-ews.c:3713
 #5 cal_backend_ews_process_folder_items at e-cal-backend-ews.c:3777
 #6 ews_start_sync_thread at e-cal-backend-ews.c:3865
 #7 g_thread_proxy at gthread.c:798
Comment 1 Philippe Gaunet 2013-11-21 03:49:40 EST
Created attachment 827051 [details]
File: backtrace
Comment 2 Philippe Gaunet 2013-11-21 03:49:44 EST
Created attachment 827052 [details]
File: cgroup
Comment 3 Philippe Gaunet 2013-11-21 03:49:49 EST
Created attachment 827053 [details]
File: core_backtrace
Comment 4 Philippe Gaunet 2013-11-21 03:49:57 EST
Created attachment 827054 [details]
File: dso_list
Comment 5 Philippe Gaunet 2013-11-21 03:50:01 EST
Created attachment 827055 [details]
File: environ
Comment 6 Philippe Gaunet 2013-11-21 03:50:06 EST
Created attachment 827056 [details]
File: exploitable
Comment 7 Philippe Gaunet 2013-11-21 03:50:11 EST
Created attachment 827057 [details]
File: limits
Comment 8 Philippe Gaunet 2013-11-21 03:50:18 EST
Created attachment 827059 [details]
File: maps
Comment 9 Philippe Gaunet 2013-11-21 03:50:22 EST
Created attachment 827060 [details]
File: open_fds
Comment 10 Philippe Gaunet 2013-11-21 03:50:29 EST
Created attachment 827061 [details]
File: proc_pid_status
Comment 11 Milan Crha 2013-11-22 05:32:42 EST
Thanks for a bug report. There is filled a similar upstream bug [1], thus I'm moving this there. Please see [1] for any further updates. If possible, please CC yourself there, in case upstream developers will have additional questions.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=664174

Note You need to log in before you can comment on or make changes to this bug.